Bug 2524 - passdb/pdb_nds.c: "int *" incompatible with "size_t *"
Summary: passdb/pdb_nds.c: "int *" incompatible with "size_t *"
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Build environment (show other bugs)
Version: 3.0.12
Hardware: SGI IRIX
: P4 normal
Target Milestone: none
Assignee: James Peach
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-22 14:28 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments
change "int *" to "size_t *" in pdb_nds_get_passwd() argument (357 bytes, patch)
2005-03-22 20:28 UTC, Jason Mader (mail bounces back)
no flags Details
change "int *" to "size_t *" in pdb_nds_get_passwd() argument (770 bytes, patch)
2005-03-23 10:54 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-22 14:28:25 UTC
cc-1164 cc: WARNING File = passdb/pdb_nds.c, Line = 672
  Argument of type "int *" is incompatible with parameter of type "size_t *".

        rc = nmasldap_get_password(ld, object_dn, pwd_len, pwd);
                                                  ^

cc-1164 cc: WARNING File = passdb/pdb_nds.c, Line = 798
  Argument of type "size_t *" is incompatible with parameter of type "int *".

                        if (pdb_nds_get_password(ldap_state->smbldap_state, dn,
&pwd_len, clear_text_pw) == L\
DAP_SUCCESS) {
                                                                                ^
Comment 1 Jason Mader (mail bounces back) 2005-03-22 20:28:14 UTC
Created attachment 1090 [details]
change "int *" to "size_t *" in pdb_nds_get_passwd() argument
Comment 2 Jason Mader (mail bounces back) 2005-03-22 20:46:17 UTC
Compiling passdb/pdb_ldap.c
cc-1164 cc: WARNING File = passdb/pdb_ldap.c, Line = 707
  Argument of type "int *" is incompatible with parameter of type "size_t *".

                        if (pdb_nds_get_password(ldap_state->smbldap_state,
user_dn, &pwd_len, clear_text_pw)\
 == LDAP_SUCCESS) {
                                                                               
     ^
Comment 3 Jason Mader (mail bounces back) 2005-03-22 20:54:10 UTC
Since pwd_len is assigned the result of a sizeof() the three occurances of
pwd_len in the passdb/*.c files should be size_t.
Comment 4 Jason Mader (mail bounces back) 2005-03-23 10:54:29 UTC
Created attachment 1096 [details]
change "int *" to "size_t *" in pdb_nds_get_passwd() argument

Additional, moves
    pwd_len = sizeof(clear_text_pw);
to inside an if statement where it is actually used.
Comment 5 Gerald (Jerry) Carter 2005-03-24 06:26:25 UTC
lowering priority
Comment 6 James Peach 2005-07-30 22:45:57 UTC
Reassign IRIX bugs to me.
Comment 7 James Peach 2005-08-13 05:08:58 UTC
Fixed in bug #2523.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:18:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.